aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xautogen.bash6
-rwxr-xr-xautotools_prepare.bash17
2 files changed, 18 insertions, 5 deletions
diff --git a/autogen.bash b/autogen.bash
index ab050eddb..d4dc3540c 100755
--- a/autogen.bash
+++ b/autogen.bash
@@ -30,11 +30,7 @@ get() {
kill $KILL_PID
}
-misc/do_m4.bash paludis/Makefile.am || exit $?
-misc/do_m4.bash paludis/paludis.hh || exit $?
-misc/do_m4.bash paludis/util/util.hh || exit $?
-misc/do_m4.bash paludis/util/Makefile.am || exit $?
-misc/do_m4.bash hooks/Makefile.am || exit $?
+./autotools_prepare.bash || exit $?
run mkdir -p config
run $(get libtoolize 1.5 ) --copy --force --automake
rm -f config.cache
diff --git a/autotools_prepare.bash b/autotools_prepare.bash
new file mode 100755
index 000000000..642c44723
--- /dev/null
+++ b/autotools_prepare.bash
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+# vim: set sw=4 sts=4 et tw=80 :
+
+if test "xyes" = x"${BASH_VERSION}" ; then
+ echo "This is not bash!"
+ exit 127
+fi
+
+trap 'echo "exiting." ; exit 250' 15
+KILL_PID=$$
+
+misc/do_m4.bash paludis/Makefile.am || exit $?
+misc/do_m4.bash paludis/paludis.hh || exit $?
+misc/do_m4.bash paludis/util/util.hh || exit $?
+misc/do_m4.bash paludis/util/Makefile.am || exit $?
+misc/do_m4.bash hooks/Makefile.am || exit $?
+